Requisitos técnicos

Adobe es compatible con Adobe Experience Manager (AEM) en las plataformas como se detalla en la siguiente información de este documento.

Para cualquier problema relacionado específicamente con la plataforma en sí, póngase en contacto directamente con el proveedor de la plataforma.

NOTA

Según la plataforma en la que instale AEM, podría haber diferentes conjuntos de requisitos para la administración de usuarios.

Requisitos previos

Requisitos mínimos para instalar Adobe Experience Manager:

  • Java Platform instalado, Standard Edition JDK u otras Máquinas virtuales Java compatibles
  • Archivo de inicio rápido de Experience Manager (JAR independiente o WAR de implementación de aplicaciones web)

Requisitos mínimos de tamaño

Requisitos mínimos para ejecutar Adobe Experience Manager:

  • 5 GB de espacio libre en disco en el directorio de instalación
  • 2 GB de memoria
NOTA
  • Los casos de uso de recursos digitales necesitan más memoria base. Consulte Implementación y mantenimiento para obtener más información.
  • El paquete de complementos de AEM Forms requiere 15 GB de espacio temporal.

Consulte las Directrices de tamaño de hardware para obtener más información.

Niveles de soporte

Este documento enumera las plataformas de cliente y servidor compatibles con Adobe Experience Manager. Adobe proporciona varios niveles de compatibilidad, tanto para las configuraciones recomendadas como para otras configuraciones.

Configuraciones admitidas

Adobe recomienda estas configuraciones y proporciona asistencia completa como parte del acuerdo de mantenimiento de software estándar.

Nivel de asistencia Descripción
A: Admitido Adobe proporciona asistencia y mantenimiento completos para esta configuración. Esta configuración está cubierta por el proceso de garantía de calidad de Adobe.
R: Compatibilidad restringida Para garantizar el éxito del proyecto de nuestros clientes, Adobe proporciona asistencia completa dentro de un programa de asistencia restringido, que requiere que se cumplan las condiciones específicas. La asistencia de nivel R requiere una solicitud formal del cliente y la confirmación de Adobe. Para obtener más información, póngase en contacto con el Servicio de atención al cliente de Adobe.

Configuraciones no admitidas

Nivel de asistencia Descripción
Z: No admitido La configuración no es compatible. Adobe no realiza ninguna declaración sobre si la configuración funciona o no y no la admite.

Plataformas compatibles

Máquinas virtuales Java

La aplicación requiere una máquina virtual Java para ejecutarse, que proporciona la distribución Java Development Kit (JDK) .

Adobe Experience Manager funciona con las siguientes versiones de las máquinas virtuales Java:

ATENCIÓN

Se recomienda realizar un seguimiento de los boletines de seguridad del proveedor de Java para garantizar la seguridad de los entornos de producción e instalar las últimas actualizaciones de Java.

Plataforma Nivel de soporte
Oracle Java SE 11 JDK [1] Z: No admitido
Oracle Java SE 10 JDK [1] Z: No admitido
Oracle Java SE 9 JDK [1] Z: No admitido
Oracle Java SE 8 JDK - 64 bits A: Compatible [3]
IBM J9 VM: versión 2.9, JRE 1.8.0 [2] A: Admitido
IBM J9 VM: versión 2.8, JRE 1.8.0 [2] A: Admitido
  1. Oracle ha adoptado un modelo de soporte a largo plazo (LTS) para los productos Oracle Java SE. Java 9 y 10 son versiones no LTS de Oracle (consulte Oracle Java SE support roadmap). Adobe solo proporcionará soporte a las versiones LTS de Java para ejecutar AEM en producción.

  2. IBM JRE solo es compatible con WebSphere Application Server.

  3. El soporte técnico y la distribución del JDK SE de Oracle Java, incluidas todas las actualizaciones de mantenimiento de las versiones de LTS más allá del final de las actualizaciones públicas, serán compatibles directamente con Adobe para todos los clientes de AEM que utilicen la tecnología Oracle Java SE. Para obtener más información, consulte la compatibilidad de Oracle Java con Adobe Experience Manager Q&A.

Almacenamiento y persistencia

Existen varias opciones para implementar el repositorio de Adobe Experience Manager. Consulte la siguiente lista para ver las tecnologías compatibles y las opciones de almacenamiento.

Plataforma Descripción Nivel de asistencia
Sistema de archivos con archivos TAR [1] Repositorio A: Admitido
Sistema de archivos con almacén de datos [1] Binarios A: Admitido
Almacenar binarios en archivos TAR en el sistema de archivos [1] Binarios Z: No compatible con la producción
Amazon S3 Binarios A: Admitido
Almacenamiento de blob de Microsoft Azure Binarios A: Admitido
MongoDB Enterprise 3.6 [5, 6] Repositorio A: Compatible con limitaciones
MongoDB Enterprise 3.4 [2, 3, 6] Repositorio A: Compatible con limitaciones
MySQL 5.7 Base de datos de Forms A: Admitido
IBM DB2 11.1
Base de datos de Forms A: Admitido
IBM DB2 10.5 Base de datos de repositorios y formularios R: Compatibilidad restringida (4)
Base de datos Oracle 12c (12.1.x) Base de datos de repositorios y formularios R: Compatibilidad restringida
Microsoft SQL Server 2017 Base de datos de Forms Z: No compatible (4)
Microsoft SQL Server 2016 Base de datos de Forms A: Admitido
Microsoft SQL Server 2014 Base de datos de Forms R: Compatibilidad restringida (4)
Apache Lucene (integrado de Quickstart) Servicio de búsqueda A: Admitido
Apache Solr Servicio de búsqueda A: Admitido
  1. 'File System' incluye almacenamiento en bloque compatible con POSIX. Esto incluye la tecnología de almacenamiento en red. Tenga en cuenta que el rendimiento del sistema de archivos puede variar e influir en el rendimiento general. Se recomienda cargar la prueba AEM en combinación con el sistema de archivos de red/remoto.
  2. El uso compartido MongoDB no es compatible con AEM.
  3. Sólo se admite el motor de almacenamiento MongoDB WiredTiger.
  4. No es compatible con AEM Forms.
  5. MongoDB Enterprise 3.6 se admite a partir de la versión 6.4.2.0 de AEM.
  6. El soporte para MongoDB 3.4 ha llegado al fin de su vida útil (EOL), mientras que se espera que MongoDB 3.6 alcance el 30 de abril de 2021. Tenga en cuenta que Adobe solo proporcionará asistencia para los problemas relacionados con el producto de AEM en adelante.
NOTA

Consulte Implementación de comunidades para obtener información adicional sobre la capacidad de AEM Communities.

NOTA

MongoDB es software de terceros y no está incluido en el paquete de licencias de AEM. Para obtener más información, consulte la página MongoDB licensing policy.

Para aprovechar al máximo su implementación de AEM con MongoDB, Adobe recomienda licenciar la versión de MongoDB Enterprise para beneficiarse de la asistencia profesional. Consulte Implementaciones recomendadas para obtener más información.

La licencia incluye un conjunto de réplicas estándar, que consta de una instancia principal y dos instancias secundarias que pueden utilizarse para el autor o para las implementaciones de publicación.

En caso de que desee ejecutar el autor y publicar en MongoDB, se deben adquirir dos licencias independientes.

El Servicio de atención al cliente de Adobe ayudará a resolver los problemas relacionados con el uso de MongoDB con AEM.

Para obtener más información, consulte la página MongoDB para Adobe Experience Manager.

NOTA

Las bases de datos relacionales compatibles enumeradas anteriormente son software de terceros y no se incluyen en el paquete de licencias de AEM.

Para ejecutar AEM 6.4 con una base de datos relacional admitida, se requiere un contrato de soporte independiente con un proveedor de base de datos. El Servicio de atención al cliente de Adobe ayudará a resolver los problemas relacionados con el uso de bases de datos relacionales con AEM 6.4.

Tenga en cuenta que actualmente la mayoría de las bases de datos relacionales son compatibles con Level-R en AEM 6.4, que viene con criterios de soporte y un programa de soporte como se indica en la descripción de Level-R anterior.

Motores Servlet / Servidores de aplicaciones

Adobe Experience Manager puede ejecutarse como servidor independiente (el archivo JAR de inicio rápido) o como aplicación web dentro de un servidor de aplicaciones de terceros (el archivo WAR).

La versión mínima de la API de servlet requerida es Servlet 3.1, pero inferior a Servlet 4.0.

Plataforma Nivel de asistencia
Motor Servlet integrado de inicio rápido (Jetty 9.3) A: Admitido
Oracle WebLogic Server 12.2 (12cR2) A: Admitido
Entrega continua del servidor de aplicaciones IBM WebSphere (LibertyProfile) con perfil web 7.0 e IBM JRE 1.8 A: Admitido
Servidor de aplicaciones IBM WebSphere 9.0 A: Admitido
Apache Tomcat 8.5.x A: Admitido
JBoss EAP 7.1.0 con servidor de aplicaciones JBoss A: Admitido (1)
JBoss EAP 7.0.0 con el servidor de aplicaciones JBoss A: Admitido
  1. No es compatible con AEM Forms.

Sistemas operativos del servidor

Adobe Experience Manager funciona con las siguientes plataformas de servidor:

Plataforma Nivel de asistencia
Linux, basado en la distribución de Red Hat A: Admitido (1)
Linux, basado en la distribución de Debian incl. Ubuntu A: Admitido (4)
Linux, basado en la distribución SUSE A: Admitido
Microsoft Windows Server 2016 A: Admitido
Microsoft Windows Server 2012 R2 A: Admitido
Oracle Solaris 11 A: Admitido con limitaciones (3,5,7)
R: Compatibilidad restringida para nuevos contratos
IBM AIX 7.2 A: Admitido con limitaciones (2,5,7)
R: Compatibilidad restringida para nuevos contratos
  1. Linux Kernel 2.6, 3.x y 4.x incluye derivados de la distribución de Red Hat, incluyendo Red Hat Enterprise Linux, CentOS, Oracle Linux y Amazon Linux. Las funciones de complemento de AEM Forms solo son compatibles con CentOS 7 y Red Hat Enterprise Linux 7.
  2. AEM Assets: Consulte la sección Compatibilidad con la reescritura de metadatos XMP
  3. AEM Assets: No es compatible con las imágenes de Dynamic Media. Se admite el vídeo de Dynamic Media.
  4. AEM Forms solo es compatible con Ubuntu 16.04 LTS.
  5. AEM Assets: No se admite Transformación de archivos sin procesar
  6. AEM Forms: No hay soporte para el entorno de producción
  7. AEM Assets: No se admite el rasterizador de PDF mejorado
  8. AEM Forms: No admitido

Entornos de computación virtual y en la nube

Adobe Experience Manager es compatible con la ejecución en una máquina virtual en entornos de computación en la nube, como Microsoft Azure y Amazon Web Services (AWS), de acuerdo con los requisitos técnicos enumerados en esta página y según los términos de asistencia estándar de Adobe.

Adobe recomienda utilizar Adobe Managed Services para implementar AEM en Azure o AWS. Adobe Managed Services proporciona a los expertos experiencia y habilidades para implementar y operar AEM en estos entornos de computación en la nube. Consulte nuestra documentación adicional sobre Adobe Managed Services.

En todos los demás casos de implementación de AEM en Azure o AWS, o en cualquier otro entorno de computación en nube, la compatibilidad de Adobe estará contenida en el entorno de computación virtual de conformidad con las especificaciones técnicas enumeradas en esta página. Cualquier problema informado relativo a AEM que se ejecute en cualquiera de estos entornos de nube deberá reproducirse de forma independiente de cualquier servicio de nube específico del entorno de computación de nube, a menos que el servicio de nube sea compatible específicamente como parte de los requisitos técnicos enumerados en esta página, por ejemplo, el almacenamiento Azure Blob o AWS S3.

Para obtener recomendaciones sobre cómo implementar AEM en Azure o AWS, fuera de Adobe Managed Services, le recomendamos encarecidamente que trabaje directamente con el proveedor de nube o los socios de Adobe que admitan la implementación de AEM en el entorno de nube que elija. El proveedor o socio de nube seleccionado será responsable de las especificaciones de tamaño, el diseño y la implementación de la arquitectura, para satisfacer sus requisitos específicos de rendimiento, carga, escalabilidad y seguridad.

Plataformas de Dispatcher (Servidores Web)

Dispatcher es el componente de almacenamiento en caché y equilibrio de carga. Descargue la última versión de Dispatcher. Experience Manager 6.4 requiere Dispatcher versión 4.3.1 o superior.

Los siguientes servidores web son compatibles para su uso con Dispatcher versión 4.3.1:

Plataforma Nivel de asistencia
Apache httpd 2.4.x (consulte también 1,2 a continuación) A: Admitido
Microsoft IIS 10 (Servidor de información de Internet) A: Admitido
Microsoft IIS 8.5 (Servidor de información de Internet) A: Admitido
  1. Los servidores web creados sobre la base del código fuente httpd de Apache tendrán el mismo nivel de compatibilidad que la versión de httpd en la que se basa. Si tiene alguna duda, pida a Adobe que confirme el nivel de asistencia relacionado con el producto del servidor correspondiente. Los siguientes casos:

    1. El servidor HTTP se creó utilizando solamente las distribuciones de fuentes oficiales de Apache, o
    2. El servidor HTTP se entregó como parte del sistema operativo en el que se está ejecutando. Ejemplos: Servidor HTTP IBM, servidor HTTP Oracle
  2. Dispatcher no está disponible para Apache 2.4.x para sistemas operativos Windows.

Plataformas de cliente admitidas

Exploradores admitidos para la creación de la interfaz de usuario

La interfaz de usuario de Adobe Experience Manager funciona con las siguientes plataformas de cliente. Todos los exploradores se prueban con el conjunto predeterminado de complementos.

La interfaz de usuario de AEM está optimizada para pantallas más grandes (normalmente portátiles y equipos de escritorio) y factor de forma de tableta (como Apple iPad o Microsoft Surface). No se admite el factor de formulario telefónico.

NOTA

Compatibilidad con exploradores con ciclos de versiones rápidos:

Mozilla Firefox, Google Chrome y Microsoft Edge se actualizan cada pocos meses. Adobe se compromete a proporcionar actualizaciones para Adobe Experience Manager a fin de mantener el nivel de asistencia que se indica a continuación con las próximas versiones de estos navegadores.

Explorador Compatibilidad con la interfaz de usuario
Compatibilidad con la IU clásica
Google Chrome (Evergreen) A: Admitido A: Admitido
Microsoft Edge (Evergreen) A: Admitido A: Admitido
Microsoft Internet Explorer 11 A: Admitido A: Admitido
Mozilla Firefox (Evergreen) A: Admitido A: Admitido
Mozilla Firefox último ESR [1] A: Admitido A: Admitido
Apple Safari 12.x en macOS A: Admitido A: Admitido
Apple Safari 11.x en macOS A: Admitido A: Admitido
Apple Safari 10.x en macOS A: Admitido A: Admitido
Apple Safari en iOS 12.x A: Admitido [2] Z: No admitido
Apple Safari en iOS 11.x A: Admitido [2] Z: No admitido
Apple Safari en iOS 10.3 A: Admitido [2] Z: No admitido
  1. Versión de soporte ampliado de Firefox Obtenga más información sobre esto en mozilla.org
  2. compatibilidad con Apple iPad

Exploradores admitidos para sitios web

Por lo general, la compatibilidad del explorador con los sitios web procesados por AEM Sites depende de la implementación de las plantillas de página de AEM, el diseño y la salida de componentes, y por lo tanto controla a la parte que implementa estas partes.

Clientes de WebDAV

Microsoft Windows 7+

Para conectarse correctamente con Microsoft Windows 7+ a una instancia de AEM que no está segura con SSL, la autenticación básica sobre red no segura debe estar habilitada en Windows. Esto requiere un cambio en el Registro de Windows de WebClient:

  1. Busque la subclave del Registro:

    • HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\WebClient\Parameters
  2. Agregue la entrada de registro BasicAuthLevel a esta subclave con un valor de 2 o más.

Consulte Soporte de Microsoft KB 841215.

Para mejorar la capacidad de respuesta del cliente WebDav en Windows, consulte Soporte de Microsoft KB 2445570

Notas adicionales de la plataforma

Esta sección proporciona notas especiales e información más detallada sobre la ejecución de Adobe Experience Manager y sus complementos.

IPv4 e IPv6

Todos los elementos de Adobe Experience Manager (instancia, Dispatcher) se pueden instalar en redes IPv4 e IPv6.

La operación es perfecta, ya que no se requiere ninguna configuración especial. Puede simplemente especificar una dirección IP con el formato apropiado para su tipo de red, si es necesario.

Esto significa que, cuando se debe especificar una dirección IP, se puede seleccionar (según sea necesario) de:

  • una dirección IPv6

    por ejemplo https://[ab12::34c5:6d7:8e90:1234]:4502

  • una dirección IPv4

    por ejemplo https://123.1.1.4:4502

  • un nombre de servidor

    por ejemplo, https://www.yourserver.com:4502

  • el caso predeterminado de localhost se interpretará tanto para las instalaciones de red IPv4 como IPv6

    por ejemplo, http://localhost:4502

Requisitos del complemento de Dynamic Media de AEM

AEM Dynamic Media está deshabilitado de forma predeterminada. Consulte Activación de Dynamic Media.

Con Dynamic Media habilitado, se aplican los siguientes requisitos adicionales del sistema:

NOTA

Los siguientes requisitos del sistema se aplican solo si utiliza Dynamic Media - Modo híbrido; Dynamic Media: El modo híbrido tiene un servidor de imágenes incrustado, que solo está certificado en determinados sistemas operativos.

Para los clientes de Dynamic Media que ejecutan Dynamic Media en modo Scene7 (es decir, dynamic_media_scene7 runmode), no hay requisitos adicionales del sistema; solo los mismos requisitos del sistema que AEM. Dynamic Media: La arquitectura del modo Scene7 utiliza el servicio de imagen basado en la nube, no el servicio incrustado en AEM.

Hardware

Los siguientes requisitos de hardware se aplican a los sistemas operativos Linux y Windows:

  • CPU Intel Xeon o AMD Opteron con al menos 4 núcleos
  • 16 GB de RAM como mínimo

Linux

El uso de Dynamic Media en Linux requiere los siguientes requisitos previos:

  • RedHat Enterprise 7 o CentOS 7 y posteriores con los parches de correcciones más recientes
  • Sistema operativo de 64 bits
  • Intercambio desactivado (recomendado)
  • SELinux deshabilitado (ver nota a continuación)
NOTA

Si la configuración regional está configurada de tal modo que LC_CTYPE no sea igual a en_US.UTF-8, evitará que los medios dinámicos funcionen. Para ver cuál es su valor, escriba "locale" en el símbolo del sistema. Si no se establece en eso, establezca la variable de entorno LC_CTYPE en la cadena vacía escribiendo "export LC_CTYPE=" antes de ejecutar AEM.

NOTA

Desactivación de SELinux: El servicio de imágenes no funciona con SELinux activado. Esta opción está activada de forma predeterminada. Para solucionar este problema, edite el archivo /etc/selinux/config y cambie el valor SELinux de:

SELINUX=enforcing hasta SELINUX=disabled

NOTA

Arquitectura NUMA: Los sistemas con procesadores AMD64 e Intel EM64T se configuran normalmente como plataformas de arquitectura de memoria no uniforme (NUMA), lo que significa que el núcleo construye varios nodos de memoria en el momento del inicio en lugar de construir un solo nodo de memoria.

La construcción de varios nodos puede provocar el agotamiento de la memoria en uno o varios nodos antes de que otros se agoten. Cuando ocurre el agotamiento de la memoria, el núcleo puede decidir matar procesos (por ejemplo, Image Server o Platform Server) aunque haya memoria disponible.

Por lo tanto, Adobe recomienda que si está ejecutando un sistema de este tipo, desactive NUMA utilizando la opción de inicio numa=off para evitar que el núcleo mate estos procesos.

NOTA

El nombre de host del servidor debe poder resolverse: asegúrese de que el nombre de host del servidor se puede resolver en una dirección IP. Si no es posible, añada el nombre de host completo y la dirección IP a /etc/hosts:

<ip address> <fully qualified hostname>

Windows

  • Microsoft Windows Server 2016
  • Intercambiar espacio igual a al menos el doble de la memoria física (RAM)

Para utilizar Dynamic Media en Windows, es necesario instalar los redistribuibles de Microsoft Visual Studio 2010, 2013 y 2015 para x64 y x86.

x64

x86

MacOS

  • 10.9.x y posteriores
  • Solo se admite con fines de prueba y demostración

Requisitos del Generador PDF de AEM Forms

Producto

Formatos compatibles para la conversión a PDF

Seguimiento clásico de Acrobat 2017

XPS, formatos de imagen (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF y DWF

Microsoft® Project 2016 MPP
Microsoft® Publisher 2016 PUB
Microsoft® Office Visio 2016 VSD
Microsoft® Office 2016 DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF y TXT
Microsoft® Office 2013 DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF y TXT
Corel WordPerfect X7 WP, WPD
OpenOffice 4.1.2 ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, formatos de imagen (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, TF y TXT

OpenOffice 3.4

ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, formatos de imagen (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, TF y TXT

NOTA

PDF Generator solo admite versiones en inglés, francés, alemán y japonés de los sistemas operativos y aplicaciones compatibles.

Además:

  • PDF Generator requiere Acrobat 2017 classic track version 17.011.30078 o posterior para realizar la conversión.
  • AEM Forms solo admite ediciones de 32 bits de software compatible.
  • Las funciones OCR PDF (PDF que se pueden buscar), Optimizar PDF y Exportar PDF solo son compatibles con Microsoft Windows.
  • El servicio HTML2PDF está obsoleto en AIX.
  • Las conversiones de PDF Generator para OpenOffice solo son compatibles con Windows, Linux y Solaris.
  • Las funciones OCR PDF, Optimize PDF y Export PDF solo son compatibles con Windows.
  • Una versión de Acrobat está incluida con AEM Forms para habilitar la funcionalidad de PDF Generator. Solo se debe acceder a la versión empaquetada mediante programación con AEM Forms, durante el periodo de validez de la licencia de AEM Forms, para su uso con AEM Forms PDF Generator. Para obtener más información, consulte la descripción del producto de AEM Forms según su implementación (On-Premise o Managed Services)"

Requisitos de AEM Forms Designer

  • Microsoft® Windows® 2012 Server R2, Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10
  • Procesador de 1 GHz o más rápido con soporte para PAE, NX y SSE2.
  • 1 GB de RAM para 32 bits o 2 GB de RAM para SO de 64 bits
  • 16 GB de espacio en disco para 32 o 20 GB de espacio en disco para SO de 64 bits
  • Memoria gráfica: 128 MB de GPU (se recomiendan 256 MB)
  • 2,35 GB de espacio disponible en disco duro
  • Resolución de pantalla de 1024 X 768 píxeles o superior
  • Aceleración de hardware de vídeo (opcional)
  • Acrobat Pro DC, Acrobat Standard DC o Adobe Acrobat Reader DC
  • Privilegios administrativos para instalar Designer

Requisitos para la reescritura de metadatos XMP de AEM Assets

La reescritura XMP es compatible y está habilitada para las siguientes plataformas y formatos de archivo:

Sistemas operativos

Formatos de archivo

  • JPEG
  • PNG
  • TIFF
  • PDF
  • INDD
  • AI
  • EPS

Requisitos de AEM Screens Player

La versión 3.3.x del reproductor AEM Screens es compatible con los siguientes sistemas operativos:

  • Microsoft Windows 10 Enterprise LTSB
  • Google Chome OS 62+
  • Google Android 5.1.1 con Android System WebView versión 52+ actualizado
  • Apple iOS 10.3+
  • Apple macOS 10.12+

En esta página